<div class="grid grid-cols-12 min-h-screen">

  {{template "partials/sidebar" "people"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-7">Personen</h1>

    {{template "partials/success-message" .successMessage}}

    <p class="mb-7"><a href="/people/new"
        class="inline-flex items-center text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"><svg
          xmlns="http://www.w3.org/2000/svg" class="w-5 h-5 -ml-1 mr-1" viewBox="0 0 24 24" fill="none"
          stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
          class="feather feather-plus">
          <line x1="12" y1="5" x2="12" y2="19"></line>
          <line x1="5" y1="12" x2="19" y2="12"></line>
        </svg> Voeg een persoon toe</a></p>

    <div class="relative overflow-x-auto bg-white mb-7">
      <table class="w-full text-left">
        <thead class="text-sm text-gray-700 uppercase bg-white">
          <tr>
            <th scope="col" class="px-4 py-3">
              ID
            </th>
            <th scope="col" class="px-4 py-3">
              Naam
            </th>
            <th scope="col" class="px-4 py-3">
              Geboortedatum
            </th>
            <th scope="col" class="px-4 py-3">
              BSN
            </th>
            <th scope="col" class="px-4 py-3"></th>
          </tr>
        </thead>
        <tbody>
          {{range .people}}
          <tr class="border-t border-slate-200">
            <td class="p-4">
              <a href="/people/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">{{.ID}}</a>
            </td>
            <td class="p-4">
              <a href="/people/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
                {{or .Name "(Onbekend)"}}
              </a>
            </td>
            <td class="p-4">
              <a href="/people/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
                {{formatDate .BornAt}}
              </a>
            </td>
            <td class="p-4">
              <a href="/people/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
                {{or .BSN "(Onbekend)"}}
              </a>
            </td>
            <td class="p-4">
              <button class="cursor-pointer p-2 text-slate-400 hover:text-rose-500" hx-delete="/people/{{.ID}}"
                hx-confirm="Weet je zeker dat je persoon '{{.ID}}' wilt verwijderen?">
                <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                  <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                    d="M4 7h16m-10 4v6m4-6v6M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2l1-12M9 7V4a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v3" />
                </svg>
              </button>
            </td>
          </tr>
          {{else}}
          <tr class="border-t border-slate-200">
            <td class="p-4 text-center" colspan="5">Nog geen personen gevonden. <a href="/people/new" class="text-sky-600 underline hover:text-sky-700 hover:no-underline">Voeg een persoon toe</a></td>
          </tr>
          {{end}}
        </tbody>
      </table>
    </div>

    {{template "partials/pagination-be" .pagination}}
  </div>

</div>
